package com.kingdee.eas.gyt;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class TestFactory
{
    private TestFactory()
    {
    }
    public static com.kingdee.eas.gyt.ITest getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.gyt.ITest)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("4092B2D0") ,com.kingdee.eas.gyt.ITest.class);
    }
    
    public static com.kingdee.eas.gyt.ITest getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.gyt.ITest)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("4092B2D0") ,com.kingdee.eas.gyt.ITest.class, objectCtx);
    }
    public static com.kingdee.eas.gyt.ITest getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.gyt.ITest)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("4092B2D0"));
    }
    public static com.kingdee.eas.gyt.ITest getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.gyt.ITest)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("4092B2D0"));
    }
}